/* General CSS */
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&family=Montserrat:wght@400;500;600;700;800;900&display=swap');

*, 
*::before,
*::after{
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    text-decoration: none;
    outline: none;
}

:root{

    /* Text Colors */
    --primary-color: #008AFC;
    --secondary-color: #014EBC;
    --light-pink-color: #FFFCF8;
    --light-color: #CCCCCC;
    --black-color: #000;
    --white-color: #fff;
    --box-shadow: 0.1rem -0.07rem 1.5rem 0.3rem rgb(0 0 0 /26%);

    /* Font Family */
    --primary-font: 'Lato', sans-serif;
    --secondary-font: 'Montserrat', sans-serif;
}

body,
html{
    font-size: 10px;
    font-weight: 400;
    font-family: var(--primary-font);
    scroll-behavior: smooth;
    overflow-x: hidden;
    line-height: 1.5;
}

h1{
    color: var(--black-color);
    font-size: 5.5rem;
    font-weight: 800;
    font-family: var(--secondary-font);
    display: inline-block;
    text-transform: uppercase;
    line-height: 1.4;
    margin-bottom: 2rem;
}

h2{
    color: var(--white-color);
    font-size: 4rem;
    font-weight: 700;
    font-family: var(--secondary-font);
    display: inline-block;
    text-transform: uppercase;
    line-height: 1.4;
    margin-bottom: 2rem;
}

h2 span{
    color: var(--primary-color);
}

h3{
    color: var(--white-color);
    font-size: 3rem;
    font-weight: 800;
    font-family: var(--secondary-font);
    line-height: 1.4;
    margin-bottom: 1rem;
}

h4{
    color: var(--black-color);
    font-size: 3rem;
    font-weight: 500;
    font-family: var(--secondary-font);
    line-height: 1;
    margin-bottom: 2rem;
}

h5{
    color: var(--white-color);
    font-size: 1.6rem;
    font-weight: 300;
    font-family: var(--secondary-font);
    line-height: 1;
    margin-bottom: 0.9375rem;
    text-transform: uppercase;
}

p{
    text-align: justify;
    text-justify: inter-word;
    font-size: 1.6rem;
    font-weight: 500;
    line-height: 1.5;
    letter-spacing: 1px;
    margin-top: 1rem;
    color: var(--white-color);
}

a,
a:active,
a:focus,
a:hover,
btn:focus{
    text-decoration: none;
    box-shadow: none;
    outline: 0;
}

.bg-black{
    background-color: var(--black-color);
}

.main-btn{
    color: var(--white-color);
    background-color: var(--primary-color);
    border-radius: 5rem;
    padding: 0.5rem 3rem;
    font-family: var(--secondary-font);
    font-weight: 500;
    font-size: 1.5rem;
    margin-top: 1.5rem;
    transition: all .3s linear;
    box-shadow: 0 0.063rem 0.4rem rgba(0, 0, 0, 0.3);
}

.main-btn:hover{
    background-color: var(--secondary-color);
    color: var(--white-color);
}

.view-link{
    font-size: 1.4rem;
    margin-top: 1rem;
    color: var(--white-color);
    transition: all 0.3s ease-in-out;
}

.view-link:hover{
    color: var(--white-color);
    font-size: 1.6rem;
}

.wrapper{
    padding: 7rem 0;
}

.sec-title h1{
    position: relative;
}

.sec-title h1::after{
    position: absolute;
    content: '';
    background-color: var(--primary-color);
    width: 50%;
    height: 50%;
    right: -0.4rem;
    bottom: 0%;
    opacity: 0.5;
}
/* 01.navbar CSS */

.header{
    background-color: var(--black-color);
    padding: 1rem 0;
}

.header .navbar-brand img{
    width: 20rem;
    height: auto;
    object-fit: cover;
}

.header .navbar-nav .nav-link{
    color: var(--white-color);
    font-family: var(--secondary-font);
    text-transform: uppercase;
    font-size: 1.3rem;
    font-weight: 600;
    padding: 0.5rem 2rem;
    margin: 0 0.2rem;
}



/* 2.Dropdown menu  */

.header .dropdown-menu{
    min-width: 13rem;
    padding: 1.5rem 0;
    background-color: var(--black-color);
    border: 0.2rem solid var(--primary-color);
}

.header .dropdown-item{
    line-height: 1.3;
    padding: 1rem;
    font-size: 1.3rem;
    color: var(--white-color);
    font-weight: 600;
    font-family: var(--secondary-font);
}

.header .dropdown-toggle::after{
    content: '+';
    border: none;
    vertical-align: middle;
    font-size: 1.6rem;
}

.header .nav-item:hover > .dropdown-toggle::after,
.header .nav-link.dropdown-toggle.show{
    color: var(--primary-color);
}

.header .dropdown-item:focus,
.header .dropdown-item:hover,
.header .navbar-nav .nav-link:hover{
    color: var(--primary-color);
    background-color: transparent;
}

.header .navbar-nav li:hover > ul.dropdown-menu{
    display: block;
}

.header .navbar-toggler{
    color: var(--white-color);
    font-size: 2rem;
    height: 2.7rem;
    padding: 0;
}

.header .navbar-toggler:focus{
    outline: none;
    box-shadow: none;
}

.header-scrolled{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
}

#iframe-container {
	position: relative;
	width: 100%;
	height: 100%;
}
#iframe-container > button {
	opacity: 0.3;
		position: relative;
		float: left;
		right: 0px;
		bottom: 605px;
		width: 100%;
		transition: 0.5s;
		z-index: 100;
  }
#iframe-container > button {
    opacity: 1;
}
#regform {
	position: relative;
	width: 100%;
	height: 100%;
}
#regform > button {
	opacity: 0.3;
		position: relative;
		float: left;
		right: 0px;
		bottom: 3832px;
		width: 100%;
		transition: 0.5s;
		z-index: 100;
  }
#regform > button {
    opacity: 1;
}


/* 3.Banner Section */

.banner-wrapper{
    margin-top: 8rem;
    background-image: url('../images/banner/banner.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 4.Banner About Page*/
.aboutbanner-wrapper{
    margin-top: 8rem;
    background-image: url('../images/banner/about.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 5.Banner Contact Page*/
.contactbanner-wrapper{
    margin-top: 8rem;
    background-image: url('../images/banner/contact.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 6.Banner Portfolio Page*/
.portfoliobanner-wrapper {
    margin-top: 8rem;
    background-image: url('../images/banner/portfolio.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 7.Banner AI Tools Page*/
.aitoolsbanner-wrapper {
    margin-top: 8rem;
    background-image: url('../images/banner/aitools.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 8.Banner PenTest Page*/
.pentestbanner-wrapper {
    margin-top: 8rem;
    background-image: url('../images/banner/pentest.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 9.Banner Vulnerability Page*/
.vulnerabilitybanner-wrapper {
    margin-top: 8rem;
    background-image: url('../images/banner/vulnerability.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 10.Banner Graphic Designing Page*/
.graphicssbanner-wrapper {
    margin-top: 8rem;
    background-image: url('../images/banner/graphics.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 11.Banner App Development Page*/
.appdevelopmentbanner-wrapper {
    margin-top: 8rem;
    background-image: url('../images/banner/appdevelopment.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 12.Banner Web Development Page*/
.webdevelopmentbanner-wrapper {
    margin-top: 8rem;
    background-image: url('../images/banner/webdevelopment.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* 13.Banner IT Consultancy Page*/
.itconsultancybanner-wrapper {
    margin-top: 8rem;
    background-image: url('../images/banner/itconsultancy.webp');
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    width: 100%;
    height: auto;
    padding-bottom: 5rem;
}
/* Footer */
.footer{
    background: #222;
    text-align: center;
}
.footer .share{
    padding: 1rem 0;
}
.footer .share h3{
    font-size: 14px;
    color: #fff;
}
.footer .share a{
    font-size: 12px;
    color: #fff;
    margin: 3rem 1.4rem;
}
.footer .share a:hover{
    color: #637cbb;
}
.footer .credit{
    padding: 2rem 1rem;
    color: #fff;
    background: #111;
    text-align: center;
    font-size: 2rem;
}
.footer .credit a{
    color: #637cbb;
}
.copyright {
	background-color: #0d0b0b;
	padding: 10px 0px;
}
.copyright p {
	color: #fff;
	font-size: 14px;
	text-align: center;
}
.copyright .container a {
	color: #fff;
	font-size: 14px;
	text-align: center;
}
